=== kazmath/CMakeLists.txt ===

#ADD_LIBRARY(Kazmath STATIC ${KAZMATH_SRCS})
#INSTALL(TARGETS Kazmath ARCHIVE DESTINATION lib)
FIND_PACKAGE(Threads REQUIRED)

if(BUILD_SHARED_LIBS)
  ADD_LIBRARY(kazmath SHARED ${KAZMATH_SOURCES})
  TARGET_LINK_LIBRARIES(kazmath  ${CMAKE_THREAD_LIBS_INIT})
  SET_TARGET_PROPERTIES(kazmath
                        PROPERTIES
                        VERSION 0.0.1
                        SOVERSION 1)
else()
  ADD_LIBRARY(kazmath STATIC ${KAZMATH_SOURCES})
endif()

SET_TARGET_PROPERTIES(kazmath PROPERTIES COMPILE_FLAGS "--std=c99")

INSTALL(TARGETS kazmath DESTINATION ${INSTALL_LIB_DIR})

#ADD_LIBRARY(KazmathGL STATIC ${GL_UTILS_SRCS})
#INSTALL(TARGETS KazmathGL ARCHIVE DESTINATION lib)

INSTALL(FILES ${KAZMATH_HEADERS} DESTINATION include/kazmath)
IF (KAZMATH_BUILD_GL_UTILS)
    INSTALL(FILES ${GL_UTILS_HEADERS} DESTINATION include/kazmath/GL)
ENDIF (KAZMATH_BUILD_GL_UTILS)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/KAZMATHConfig.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kazmath)
