=== kazmathxx/CMakeLists.txt ===
SET(KAZMATHXX_HEADERS
vec2.h
vec3.h
vec4.h
mat4.h
mat3.h
plane.h
quaternion.h
aabb.h
)

INSTALL(FILES ${KAZMATHXX_HEADERS} DESTINATION include/kazmathxx)
