=== tests/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/include )

FILE(GLOB_RECURSE TEST_FILES *.h)
FILE(GLOB_RECURSE TEST_SOURCES *.cpp)

SET(KAZTEST_EXECUTABLE ${CMAKE_SOURCE_DIR}/bin/kaztest_gen)

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    COMMAND ${KAZTEST_EXECUTABLE} --output ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp ${TEST_FILES}
    DEPENDS ${TEST_FILES} ${KAZTEST_EXECUTABLE}
)

ADD_EXECUTABLE(kazmath_tests ${TEST_FILES} ${TEST_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
SET_TARGET_PROPERTIES(kazmath_tests PROPERTIES COMPILE_FLAGS "-std=c++11")

ADD_TEST(kazmath_suite kazmath_tests)

TARGET_LINK_LIBRARIES(
    kazmath_tests
    kazmath
)
